package com.ruoyi.system.service.impl.project;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.system.domain.project.BmConstructionEq;
import com.ruoyi.system.mapper.project.BmConstructionEqMapper;
import com.ruoyi.system.service.project.IBmConstructionEqService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 项目设备安装
(最少一条记录)Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
@Service
public class BmConstructionEqServiceImpl implements IBmConstructionEqService
{
    @Autowired
    private BmConstructionEqMapper bmConstructionEqMapper;

    /**
     * 查询项目设备安装
(最少一条记录)
     * 
     * @param id 项目设备安装
(最少一条记录)ID
     * @return 项目设备安装
(最少一条记录)
     */
    @Override
    public BmConstructionEq selectBmConstructionEqById(Long id)
    {
        return bmConstructionEqMapper.selectBmConstructionEqById(id);
    }

    /**
     * 查询项目设备安装
(最少一条记录)列表
     * 
     * @param bmConstructionEq 项目设备安装
(最少一条记录)
     * @return 项目设备安装
(最少一条记录)
     */
    @Override
    public List<BmConstructionEq> selectBmConstructionEqList(BmConstructionEq bmConstructionEq)
    {
        return bmConstructionEqMapper.selectBmConstructionEqList(bmConstructionEq);
    }

    /**
     * 新增项目设备安装
(最少一条记录)
     * 
     * @param bmConstructionEq 项目设备安装
(最少一条记录)
     * @return 结果
     */
    @Override
    public int insertBmConstructionEq(BmConstructionEq bmConstructionEq)
    {
        bmConstructionEq.setCreateTime(DateUtils.getNowDate());
        bmConstructionEq.setCreateBy(SecurityUtils.getUsername());
        return bmConstructionEqMapper.insertBmConstructionEq(bmConstructionEq);
    }

    /**
     * 修改项目设备安装
(最少一条记录)
     * 
     * @param bmConstructionEq 项目设备安装
(最少一条记录)
     * @return 结果
     */
    @Override
    public int updateBmConstructionEq(BmConstructionEq bmConstructionEq)
    {
        bmConstructionEq.setUpdateTime(DateUtils.getNowDate());
        bmConstructionEq.setUpdateBy(SecurityUtils.getUsername());
        return bmConstructionEqMapper.updateBmConstructionEq(bmConstructionEq);
    }

    /**
     * 批量删除项目设备安装
(最少一条记录)
     * 
     * @param ids 需要删除的项目设备安装
(最少一条记录)ID
     * @return 结果
     */
    @Override
    public int deleteBmConstructionEqByIds(Long[] ids)
    {
        return bmConstructionEqMapper.deleteBmConstructionEqByIds(ids);
    }

    /**
     * 删除项目设备安装
(最少一条记录)信息
     * 
     * @param id 项目设备安装
(最少一条记录)ID
     * @return 结果
     */
    @Override
    public int deleteBmConstructionEqById(Long id)
    {
        return bmConstructionEqMapper.deleteBmConstructionEqById(id);
    }
}
